
#include "unix.h"

typedef struct _Point {
    float x, y, z;
} Point;


Truncated_cube()
{
    FILE *fp;
    extern char *filename;
    extern char creatingObject;
    creatingObject = 0;

    filename = (char *) malloc( strlen((const char *)getenv("OBJ_PATH")) + 30 );
    strcat( strcat( strcpy( filename, (const char *)getenv("OBJ_PATH") ), "/" ), "truncated_cube.geom" );
    fp = fopen( filename, "w" );

    fprintf( fp, "27\t14\t85\n" );

    /* Print the Coordinates of the points */
    fprintf( fp, "0.678598 0.281085 0.678598\n" );
    fprintf( fp, "-0.281085 0.678598 0.678598\n" );
    fprintf( fp, "-0.678598 0.678598 0.281085\n" );
    fprintf( fp, "0.678598 -0.281085 0.678598\n" );
    fprintf( fp, "0.281085 -0.678598 0.678598\n" );
    fprintf( fp, "0.678598 0.678598 0.281085\n" );
    fprintf( fp, "0.281085 0.678598 0.678598\n" );
    fprintf( fp, "-0.281085 0.678598 -0.678598\n" );
    fprintf( fp, "-0.678598 0.281085 -0.678598\n" );
    fprintf( fp, "-0.678598 0.281085 0.678598\n" );
    fprintf( fp, "-0.678598 -0.281085 -0.678598\n" );
    fprintf( fp, "-0.281085 -0.678598 -0.678598\n" );
    fprintf( fp, "-0.678598 0.678598 -0.281085\n" );
    fprintf( fp, "0.678598 0.678598 -0.281085\n" );
    fprintf( fp, "-0.281085 -0.678598 0.678598\n" );
    fprintf( fp, "-0.678598 -0.281085 0.678598\n" );
    fprintf( fp, "-0.678598 -0.678598 -0.281085\n" );
    fprintf( fp, "-0.678598 -0.678598 0.281085\n" );
    fprintf( fp, "0.678598 -0.678598 0.281085\n" );
    fprintf( fp, "0.678598 -0.678598 0\n" );
    fprintf( fp, "0.281085 -0.678598 -0.678598\n" );
    fprintf( fp, "0.678598 0.281085 -0.678598\n" );
    fprintf( fp, "0.281085 0.678598 -0.678598\n" );
    fprintf( fp, "0 0.678598 -0.678598\n" );
    fprintf( fp, "0.678598 -0.479842 -0.479842\n" );
    fprintf( fp, "0.678598 -0.281085 -0.678598\n" );
    fprintf( fp, "0.678598 -0.678598 -0.281085\n" );

    /* Print the Conectivity data of the points */
    fprintf( fp, "8 9 15 14 4 3 0 6 1\n" );
    fprintf( fp, "3 2 9 1\n" );
    fprintf( fp, "3 6 0 5\n" );
    fprintf( fp, "8 2 12 8 10 16 17 15 9\n" );
    fprintf( fp, "9 12 2 1 6 5 13 22 23 7\n" );
    fprintf( fp, "8 10 8 7 22 21 25 20 11\n" );
    fprintf( fp, "3 12 7 8\n" );
    fprintf( fp, "3 11 16 10\n" );
    fprintf( fp, "3 15 17 14\n" );
    fprintf( fp, "8 5 0 3 18 26 25 21 13\n" );
    fprintf( fp, "9 4 14 17 16 11 20 26 19 18\n" );
    fprintf( fp, "3 3 4 18\n" );
    fprintf( fp, "3 13 21 22\n" );
    fprintf( fp, "4 24 26 20 25\n" );

    fclose( fp );

    filename = (char *) malloc( strlen((const char *)getenv("OBJ_PATH")) + 20 );
    strcat( strcat( strcpy( filename, (const char *)getenv("OBJ_PATH") ), "/" ), "truncated_cube.aoff" );
    fp = fopen( filename, "w" );

    fprintf( fp, "geometry\tindexed_poly\tfff\t\t%s\n", "truncated_cube.geom" );
    fprintf( fp, "connect_offset\tdefault\t\tf\t\t0\n" );

    fclose( fp );
}
