
#ifndef _defs_h
#define _defs_h

#define OBJECT_LABEL         (long) 1
#define REFL_PROPS_LABEL     (long) 4
#define DEPTH_CUE_LABEL		 (long) 5
#define MATERIAL_COLOR_LABEL (long) 6

/* Window layout information */
#define WS_WIDTH  400
#define WS_HEIGHT 400

/* Drawable information */
#define WINDOW      1
#define PIXMAP      2
#define BUFFER      3

/* Light source parameters */
#define RED_COORD			1
#define GREEN_COORD			2
#define BLUE_COORD			3
#define BACK_PLANE			4
#define FRONT_PLANE			5
#define BACK_SCALING		6
#define FRONT_SCALING		7

/* Light types */
#define AMBIENT        0
#define DIRECTIONAL    1
#define POSITIONAL    2
#define SPOT        3

#endif /* _defs_h */
